#ifndef ENPASSANT_POSIBILITY
#define ENPASSANT_POSIBILITY

#include <string>

#include <boost/optional.hpp>

#include "Coord.hpp"

class EnpassantPosibility {
public:
    EnpassantPosibility();
    EnpassantPosibility(Coord);
    static EnpassantPosibility none();
    static EnpassantPosibility from_fen(std::string);

    boost::optional<Coord> coord;

    std::string to_fen() const;

    bool operator==(const EnpassantPosibility&) const;
    bool operator!=(const EnpassantPosibility&) const;
};

#endif
